<style>

  .glyphicon.glyphicon-asterisk {
  font-size: 6px;
  }
</style>

<header class="main-header">
  <!-- Logo -->
  <a href="#/testBookList" class="logo">
    <img src="img/logo_trans_back_143x59.png" alt="Logo">
    <!-- mini logo for sidebar mini 50x50 pixels -->
    <span class="logo-mini"><b>A</b>LT</span>
    <!-- logo for regular state and mobile devices -->
    <span class="logo-lg"><b>Lucent</b> Publication</span>
  </a>
  <!-- Header Navbar: style can be found in header.less -->
  <nav class="navbar navbar-static-top" role="navigation">

    <div class="navbar-custom-menu">
      <ul class="nav navbar-nav">
        <!--<li><a href="#/signUp"> <span class="glyphicon glyphicon-log-in"></span>  Sign Up</a></li>-->
        <li><a href="#/"><span class="glyphicon glyphicon-new-window"></span>  Login Up</a></li>

      </ul>
    </div>


  </nav>
</header>

<div ng-controller="LoginController">
  <div style="width:600px; margin:0 auto;">
    <form  name="formx" ng-submit="signUp(user)">
      <div class="box box-default box-solid" style="cursor: default;">
        <div class="box-header with-border">
          <h3 class="box-title"><span class="glyphicon glyphicon-user"></span>&nbsp;&nbsp;Sign up </h3>
        </div>
        <div class="box-body">
          <div class="form-group">
      <label>Firstname:</label>
      <input type="text" name='firstName' ng-model='user.firstName'  placeholder="Enter Firstname" class="form-control">
    </div>
          <div class="form-group">
      <label>Lastname:</label>
      <input type="text" name='lastName' ng-model='user.lastName'  placeholder="Enter LastName" class="form-control">
    </div>
          <div class="form-group" ng-class="{ 'has-error' : formx.UserName.$invalid && formx.UserName.$touched && formx.UserName.$error.required}">
      <label>Username<sup><span  class="glyphicon glyphicon-asterisk" style="color:red"></span></sup><div style="color: red;margin: auto">{{error}}</div></label>
      <input type="text" name='UserName' ng-minlength="3"ng-model='user.username' required="" placeholder="Enter Username" class="form-control">
      <span class="error text-danger"  style="position: absolute;margin-left: 120px;" ng-show="formx.UserName.$error.required && (formx.$submitted || formx.UserName.$touched)" ><p>Username is required.</p></span>
      <span class="error text-danger" style="position: absolute;margin-left: 120px;" ng-show="formx.UserName.$error.minlength"><p>Username is too short</p></span>
    </div>
          <div class="form-group" ng-class="{ 'has-error' : formx.Password.$invalid && formx.Password.$touched && formx.Password.$error.required}">
      <label>Password<sup><span  class="glyphicon glyphicon-asterisk" style="color:red"></span></sup></label>
      <input type="password" name='Password'   ng-model='user.password' ng-minlength="4" placeholder="Enter Password " class="form-control" required="">
        <span class="error text-danger" style="position: absolute;margin-left: 120px;"  ng-show="formx.Password.$error.required && (formx.$submitted || formx.Password.$touched) "><p>Password is required.</p></span>
        <span class="error text-danger" style="position: absolute;margin-left: 120px;" ng-show="formx.Password.$error.minlength"><p>Minimum Length required is 4</p></span>
    </div>
          <div class="form-group" ng-class="{ 'has-error' : formx.email.$invalid && formx.email.$touched && formx.email.$error.required}">
      <label>Email-Id<sup><span  class="glyphicon glyphicon-asterisk" style="color:red"></span></sup></label>
      <input type="text" name='email' ng-model='user.email' required="" placeholder="Enter valid Email"  ng-pattern="/^[a-z A-Z]+[a-zA-Z0-9._]+@[a-zA-Z0-9]+\.[a-z.]{2,9}$/" class="form-control">
        <span class="error text-danger" style="position: absolute;margin-left: 120px;" ng-show="formx.email.$error.required && (formx.$submitted || formx.email.$touched)"><p>Email is required.</p></span>
        <span class="error text-danger" style="position: absolute;margin-left: 120px;" ng-show="formx.email.$error.pattern"><p>Not valid email!</p></span>
      </div>
        </div>
        <div class="box-footer">
          <div class="form-group" style="float: right" >
            <button type="submit" ng-disabled="formx.email.$invalid || formx.Password.$invalid || formx.UserName.$invalid " class="btn btn-info btn-sm">Register</button>
            <a href="#/login" class="btn btn-link">Cancel</a>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>

